petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetNumLabels

Return the number of labels defined by the mesh

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNumLabels(DM dm, PetscInt *numLabels)

Not Collective

### Input Parameter

dm -The DM object

### Output Parameter

numLabels -the number of Labels

### Keywords

mesh

### See Also

DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages